/**
 * This API triggers UAC when necessary
 * unlike the 'spawn' call used by teen_process's exec.
 * See https://github.com/nodejs/node-v0.x-archive/issues/6797
 *
 * @param {string} cmd
 * @param {string[]} args
 * @param {import('node:child_process').ExecOptions & {timeoutMs?: number}} opts
 * @returns {Promise<{stdout: string; stderr: string;}>}
 * @throws {import('node:child_process').ExecException}
 */
export function shellExec(cmd: string, args?: string[], opts?: import("node:child_process").ExecOptions & {
    timeoutMs?: number;
}): Promise<{
    stdout: string;
    stderr: string;
}>;
/**
 * Assert the presence of particular keys in the given object
 *
 * @template {Object} T
 * @param {keyof T|(keyof T)[]} argNames one or more key names
 * @param {T} opts the object to check
 * @returns {T} the same given object
 */
export function requireArgs<T extends unknown>(argNames: keyof T | (keyof T)[], opts: T): T;
//# sourceMappingURL=utils.d.ts.map